=== debian/changelog ===
gr-gsm (0.41.2-1) unstable; urgency=medium

  * New upstream version 0.41.2.
  * Removed 0000-livemon-arfcn.patch and 1010-rst-man-install.patch
    included upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Sep 2017 00:11:12 +0200

gr-gsm (0.41.1-2) unstable; urgency=medium

  * Added 0000-livemon-arfcn.patch from upstream for livemon to report
    arfcn and remove the use of 'band' command line arguments.
  * Added 1010-rst-man-install.patch to install manual page using
    patch proposed upstream.
  * Updated and renamed 1000-no-libexec-script.patch to
    1000-desktop-file-location.patch to install desktop file in the
    correct location.
  * Added dh-python as build depend as requested by dh_python2.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Sep 2017 06:57:37 +0200

gr-gsm (0.41.1-1) unstable; urgency=medium

  * New upstream version 0.41.1 from master branch.
  * Added d/watch file after upstream added a release tag.
  * Changed Standards-Version from 4.0.1 to 4.1.0.
  * Added 1000-no-libexec-script.patch to not install desktop
    install/deinstall script in /usr/libexec/.
  * Modified build rules to install rst2man generated manual page.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 02 Sep 2017 19:56:36 +0000

gr-gsm (0.0.20170831.1e8a03c-1) unstable; urgency=medium

  * New upstream version from packaging branch.
  * Removed upstream merged patches 2000-no-compat-symlinks.patch
    and 2010-cmake-project-name.patch.
  * Updated d/copyright based on source code headers.
  * Removed header files in the binary package until the ABI is stable.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Aug 2017 20:54:26 +0000

gr-gsm (0.0.20170807.6c4304d-1) unstable; urgency=medium

  * Initial upload based on Debian packaging from upstream (Closes: #871055).
  * Clean up d/copyright after reading the source.
  * Added extended package description.
  * Added 2000-no-compat-symlinks.patch to avoid compatibility symlinks in binary package.
  * Renamed programs after installation to avoid the .py file ending.
  * Disabled automatic testing during build until it start working.
  * Made sure to use jquery from libjs-jquery.
  * Added 2010-cmake-project-name.patch to correct documentation path.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 09 Aug 2017 22:34:52 +0200
