=== debian/watch ===
# See uscan(1) for format

version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gr-gsm-$1\.tar\.gz/ \
  https://github.com/ptrkrysik/gr-gsm/tags .*/v?(\d\S+)\.tar\.gz
